
{*******************************************************}
{                                                       }
{       locale informations for Borland Delphi          }
{       to fix System Utilities Unit in DOS mode        }
{                                                       }
{       for Delphi 4, 5 WDosX DOS-Extender              }
{       Copyright (c) 2000 by Immo Wache                }
{       e-mail: immo.wache@t-online.de                  }
{                                                       }
{*******************************************************}

{
  Version history:
    IWA 11/20/00 Version 1.1
}

unit WDosLocaleInfo;

interface

procedure FixLocaleInfo;

implementation

uses
  WDosSysUtils, WDosSysConst;

procedure FixLocaleInfo;
begin
  CurrencyString :='$';
  CurrencyFormat :=0;
  NegCurrFormat :=0;
  ThousandSeparator :=',';
  DecimalSeparator :='.';
  CurrencyDecimals :=2;
  DateSeparator :='/';
  ShortDateFormat :='yy/mm/dd';
  LongDateFormat :='yyyy/mm/dd';
  TimeSeparator :=':';
  TimeAMString :='AM';
  TimePMString :='PM';
  ShortTimeFormat :='h:mm AMPM';
  LongTimeFormat :='hh:mm:ss AMPM';

  ShortMonthNames[1] :=SShortMonthNameJan;
  ShortMonthNames[2] :=SShortMonthNameFeb;
  ShortMonthNames[3] :=SShortMonthNameMar;
  ShortMonthNames[4] :=SShortMonthNameApr;
  ShortMonthNames[5] :=SShortMonthNameMay;
  ShortMonthNames[6] :=SShortMonthNameJun;
  ShortMonthNames[7] :=SShortMonthNameJul;
  ShortMonthNames[8] :=SShortMonthNameAug;
  ShortMonthNames[9] :=SShortMonthNameSep;
  ShortMonthNames[10] :=SShortMonthNameOct;
  ShortMonthNames[11] :=SShortMonthNameNov;
  ShortMonthNames[12] :=SShortMonthNameDec;

  LongMonthNames[1] :=SLongMonthNameJan;
  LongMonthNames[2] :=SLongMonthNameFeb;
  LongMonthNames[3] :=SLongMonthNameMar;
  LongMonthNames[4] :=SLongMonthNameApr;
  LongMonthNames[5] :=SLongMonthNameMay;
  LongMonthNames[6] :=SLongMonthNameJun;
  LongMonthNames[7] :=SLongMonthNameJul;
  LongMonthNames[8] :=SLongMonthNameAug;
  LongMonthNames[9] :=SLongMonthNameSep;
  LongMonthNames[10] :=SLongMonthNameOct;
  LongMonthNames[11] :=SLongMonthNameNov;
  LongMonthNames[12] :=SLongMonthNameDec;

  ShortDayNames[1] :=SShortDayNameSun;
  ShortDayNames[2] :=SShortDayNameMon;
  ShortDayNames[3] :=SShortDayNameTue;
  ShortDayNames[4] :=SShortDayNameWed;
  ShortDayNames[5] :=SShortDayNameThu;
  ShortDayNames[6] :=SShortDayNameFri;
  ShortDayNames[7] :=SShortDayNameSat;

  LongDayNames[1] :=SLongDayNameSun;
  LongDayNames[2] :=SLongDayNameMon;
  LongDayNames[3] :=SLongDayNameTue;
  LongDayNames[4] :=SLongDayNameWed;
  LongDayNames[5] :=SLongDayNameThu;
  LongDayNames[6] :=SLongDayNameFri;
  LongDayNames[7] :=SLongDayNameSat;

  ListSeparator :=';';
end;

end.
